List Apps

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

This API requires API Signature

Using this API, developers can list all apps in their account.

Response

The response will have all the apps along with their details.

{
  "status": "SUCCESS",
  "apps": [
    {
      "name": "Solana Production",
      "appId": "app-id-1",
      "chainId": "CHAIN_ID_SOLANA_MAINNET",
      "state": "ENABLED",
      "apiKeysInfo": {
        "apiKeys": [
          {
            "apiKey": "B8b/****************************"
          }
        ]
      },
      "apiSignatureRequired": true,
      "userWallet": {
        "displayName": "NFT Market",
        "button": {
          "backgroundColor": "#e52828ff"
        },
        "theme": {
          "style": "LIGHT"
        }
      }
    },
    {
      "name": "Polygon Development",
      "appId": "app-id-2",
      "chainId": "CHAIN_ID_POLYGON_MUMBAI",
      "state": "DISABLED",
      "apiKeysInfo": {
        "apiKeys": [
          {
            "apiKey": "A7b/****************************"
          }
        ]
      },
      "apiSignatureRequired": false,
      "userWallet": {
        "displayName": "Defi Market",
        "logoUrl": "https://my-website.com/logo.png",
        "button": {
          "backgroundColor": "#FA2323"
        },
        "theme": {
          "style": "DARK"
        },
        "whitelistedOrigins": [
          "https://my-wesbite.com"
        ]
      }
    }
  ]
}

Here's a description of the fields in the response:

  • name: The name of the app.
  • appId: Unique ID of the app. This ID is used for initializing MetaKeep user SDKs and updating the app.
  • chainId: The chain ID of the app.
  • state: The state of the app: ENABLED or DISABLED.
  • apiKeysInfo: Information about the API keys associated with the app.
    • apiKeys: An array of API keys associated with the app.
  • apiSignatureRequired: A boolean value indicating whether an API signature is required for the app.
  • userWallet: The user wallet configuration.
🚧

Api Error Status

You can find error status returned by the api here.

© Copyright 2024, Passbird Research Inc.

Body Params
string
enum

The state of the apps to fetch. This can be ENABLED or DISABLED. If not specified, all apps will be returned.

Allowed:
appIds
array of strings

List of app IDs to be fetched. If not provided, all apps will be fetched.

appIds
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json